Piloterr

AutoScout24 Ad

GET
/v2/autoscout24/ad

Read one AutoScout24 listing, including an inactive ad that still exposes the listing. Price, vehicle, seller, and location. (1 credit)

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

Full AutoScout24 listing URL. An inactive listing that still contains script#NEXT_DATA is returned with status Inactive. A page without that selector returns 404.

Supported domains: autoscout24.de, autoscout24.be, autoscout24.es, autoscout24.fr, autoscout24.it, autoscout24.lu, autoscout24.nl, autoscout24.at, autoscout24.bg, autoscout24.cz, autoscout24.com, autoscout24.hr, autoscout24.pl, autoscout24.ro, autoscout24.ru, autoscout24.se, autoscout24.com.tr, autoscout24.com.ua, autoscout24.hu

Example:

https://www.autoscout24.fr/offres/porsche-macan-s-diesel-pano-1-hand-diesel-or-cat_ma57mo20311-547632b2-e4fc-47f3-8143-1a2d7b276366

Response Body

Successful response

application/json
  1. response
id?string
image?string
price?
title?string
images?array<string>
prices?
seller?
status?string
vehicle?
location?
web_page?string
description?string
Example Request
curl -X GET 'https://api.piloterr.com/v2/autoscout24/ad?query=string'
Example Response
{  "id": "547632b2-e4fc-47f3-8143-1a2d7b276366",  "image": "https://prod.pictures.autoscout24.net/listing-images/547632b2-e4fc-47f3-8143-1a2d7b276366_e8e7d7f9-5101-4dad-9d0c-342384727f9d.jpg/1280x960.webp",  "price": {    "price_formatted": "€ 39 990",    "is_conditional_price": false,    "is_vat_label_legally_required": false  },  "title": "Porsche Macan",  "images": [    "https://prod.pictures.autoscout24.net/listing-images/547632b2-e4fc-47f3-8143-1a2d7b276366_e8e7d7f9-5101-4dad-9d0c-342384727f9d.jpg/1280x960.webp"  ],  "prices": {    "dealer": {      "price": "€ 39 990",      "price_raw": 39990,      "negotiable": false,      "tax_deductible": false,      "on_request_only": false    },    "public": {      "price": "€ 39 990",      "price_raw": 39990,      "negotiable": false,      "tax_deductible": false,      "on_request_only": false    }  },  "seller": {    "id": 20068,    "type": "Dealer",    "phones": [      {        "call_to": "+33 1 99 00 00 00",        "phone_type": "Office",        "formatted_number": "+33 1 99 00 00 01"      }    ],    "is_dealer": true,    "company_name": "Alex Martin"  },  "status": "Inactive",  "vehicle": {    "make": "Porsche",    "model": "Macan",    "body_type": "SUV/4x4/Pick-Up",    "body_color": "Or",    "power_in_kw": "190 kW",    "primary_fuel": {      "raw": 7,      "formatted": "Diesel"    },    "mileage_in_km": "24 585 km",    "number_of_doors": 4,    "number_of_seats": 5,    "mileage_in_km_raw": 24585,    "transmission_type": "Boîte automatique",    "model_version_input": "S Diesel Pano 1.Hand",    "first_registration_date": "04/2015"  },  "location": {    "zip": "88074",    "city": "Meckenbeuren",    "street": "Hauptstrasse 67",    "country_code": "DE"  },  "web_page": "https://www.autoscout24.fr/offres/porsche-macan-s-diesel-pano-1-hand-diesel-or-cat_ma57mo20311-547632b2-e4fc-47f3-8143-1a2d7b276366",  "description": "<strong>Sonderausstattung:<br />Deutsches Fahrzeug, 1. Hand, PZ Scheckheft</strong>"}